Figure - Bug #113477
00 Test-ST#113421 (New): V400 0O O OO0
O O Test-ST # 113422 (New): V4.00 O --AFO O --monkeyd O

O AFO O EVT20O O Monkeyd Monkeyd 0 800 O O O O CRASH: com.android.settingsd 140
2022-11-01 15:13 - CD Test(l [J

Status: CLOSED Start date: 2022-11-01

Priority: Normal Due date: 2022-11-08

Assignee: CD Test O % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221130

Need_Info: - Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.2
Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-11-04

Test Type: Monkey Test Root cause: OD00OD0ActvityD OO ODOOfragment0 O 00O |
Description

oo0ooo

1. adb shell

2. monkey --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes -s 20 --throttle 200
--pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 5 --pct-anyevent 5 --ignore-crashes -v -v -v 180000
2>/sdcard/error.txt 1>/sdcard/info.txt

gooon

// CRASH: com.android.settings (pid 7297)

// Short Msg: java.lang.ClassCastException

// Long Msg: java.lang.ClassCastException: com.android.settings.notification.history.NotificationHistoryActivity cannot be cast to
android.app.Activity

// Build Label: TC/figure_ CN/figure:12/SKQ1.220201.001/1242:user/test-keys

// Build Changelist; 1242

// Build Time: 1666977142000

// java.lang.RuntimeException: Unable to instantiate activity
Componentinfo{com.android.settings/com.android.settings.notification.history.NotificationHistoryActivity}: java.lang.ClassCastException:
com.android.settings.notification.history.NotificationHistoryActivity cannot be cast to android.app.Activity

// atandroid.app.ActivityThread.performLaunchActivity(Activity Thread.java:3546)

// atandroid.app.ActivityThread.handleLaunchActivity (ActivityThread.java:3793)

// atandroid.app.servertransaction.LaunchActivityltem.execute(LaunchActivityltem.java:103)

// atandroid.app.servertransaction. TransactionExecutor.executeCallbacks(TransactionExecutor.java:135)

// atandroid.app.servertransaction. TransactionExecutor.execute(TransactionExecutor.java:95)
//atandroid.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

// atandroid.os.Handler.dispatchMessage(Handler.java:106)

//atandroid.os.Looper.loopOnce(Looper.java:201)

//  atandroid.os.Looper.loop(Looper.java:288)

// atandroid.app.ActivityThread.main(Activity Thread.java:7880)

I/ atjava.lang.reflect. Method.invoke(Native Method)

// at com.android.internal.os.Runtimelnit$MethodAndArgsCaller.run(Runtimelnit.java:548)

//  at com.android.internal.os.Zygotelnit.main(Zygotelnit.java:1009)

// Caused by: java.lang.ClassCastException: com.android.settings.natification.history.NotificationHistoryActivity cannot be cast to
android.app.Activity

//  atandroid.app.AppComponentFactory.instantiateActivity(AppComponentFactory.java:95)

// atandroidx.core.app.CoreComponentFactory.instantiateActivity(CoreComponentFactory.java:45)
/ atandroid.app.Instrumentation.newActivity(Instrumentation.java:1274)

// atandroid.app.ActivityThread.performLaunchActivity(Activity Thread.java:3533)
/I ... 12more

/!

History

#1-2022-11-0310:37-CDFW DO OO

- Status changed from New to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-11-04

- Root cause setto [0 O O O Activity(d O O 0O O O fragment O O O O O O getActivity getContextd 00 O O O ActivityD O O O O fragment0 0 O OO O O
Ofragment0 0000

goo,0o0000
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/159676

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/159706

MonkeyOd O OO OODOOOODOOOMonkeyd OO QOO

#2 - 2022-11-07 10:34 - CD TestO O
- Assignee changed from CD FW O O O to CD TestO O
- % Done changed from 100 to 70

1g400DBOO0OOOOOO

Monkeyd 0 00002000

#3 - 2022-11-08 10:48 - CD Testd

1ugs0o0bBOOooooon

Monkeyd O 00001000

#4 - 2022-11-09 10:15 - CD TestO O
- Status changed from RESOLVED to VERIFIED
- % Done changed from 70 to 80

11080 0Release0 000D OO0
goosxpooooooobooooon

#5 - 2022-11-09 10:15 - CD Testd O
- Status changed from VERIFIED to CLOSED

2025-07-04 2/3



https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/159676
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/159706

#6 - 2022-11-09 10:20 - CD Testd O
- % Done changed from 80 to 100

Files

error.txt 106 KB 2022-11-01 CD Test O

info.txt 3.72MB 2022-11-01 CD Testd O
